Skip to main content
DELETE
/
v5
/
banks
/
integration
Delete an integration
curl --request DELETE \
  --url https://sandbox.hurdlr.com/rest/v5/banks/integration \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "removeFromApi": true,
  "id": "<string>"
}
'
{
  "result": "SUCCESS",
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "id": "<string>",
  "webhook": {
    "userId": "<string>",
    "accountantUserId": "<string>",
    "type": "ENTITY_UPDATE"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

Integration Delete Object

Parameters for the DELETE integration endpoint

removeFromApi
boolean
required

Whether to unsync the integration with the 3rd party provider as well. This is a destructive action which cannot be undone.

id
string
required

Id of integration to unsync

Response

200 - application/json

Successful operation

Object containing details about result of the action performed

result
enum<string>

The result of the action performed

Available options:
SUCCESS,
FAILURE
errors
object

Error object containing details errors incurred, if any

id
string

Id of the entity being acted upon

webhook
object